Bug 165194 - function fgetcsv parse failed
function fgetcsv parse failed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-05 04:49 EDT by A.Kuroki
Modified: 2009-05-18 16:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 16:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description A.Kuroki 2005-08-05 04:49:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
1. Function fgetcsv
2. A double quote (") is included in data.
3. And when not final column.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
csvfile: """a""","""b"""

php: $data = fgetcsv($fp,100);

Actual Results:  output: var_dump($data)

array(2) {
  string(2) "a""  <<<<<<<<<<<<<<<< !!!!
  string(3) ""b""

Additional info:
Comment 1 RHEL Product and Program Management 2008-02-01 14:13:50 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 RHEL Product and Program Management 2008-09-05 13:11:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 errata-xmlrpc 2009-05-18 16:32:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.